petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagSetCoordinateDMType

set DM type to store coordinates

### Synopsis

    PetscErrorCode DMStagSetCoordinateDMType(DM dm,DMType dmtype)

Logically Collective; dmtype must contain common value

### Input Parameters

| dm | - the DMStag object
| dmtype | - DMtype for coordinates, either DMSTAG or DMPRODUCT

### See Also

DMSTAG, DMPRODUCT, DMGetCoordinateDM(), DMStagSetUniformCoordinates(), DMStagSetUniformCoordinatesExplicit(), DMStagSetUniformCoordinatesProduct(), DMType

### Level

advanced

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages